CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

OF1.6+paraviw3.6.2 on ubuntu 8.1

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   February 12, 2010, 06:55
Default OF1.6+paraviw3.6.2 on ubuntu 8.1
  #1
Senior Member
 
Cean
Join Date: Feb 2010
Posts: 128
Rep Power: 7
shirazbj is on a distinguished road
Hi,

I tried to installed paraview3.6.2 on OF1.6. It worked a little, but still have problem.

OF1.6 has paraview3.6.1 included, but it doesn't work on my unbutu 8.1. Since I haven't worked out how to connect to internet with my dial-up under ubuntu, I have to download under window. I tried to install the qt4.3.5, but with no luck. So I decide to try paraview 3.6.2.

1. I downloaded paraview-3.6.2-linux32-x86.tar.gz and extracted it under the ThirdParty-1.6\paraview-3.6.2-linux32-x86 folder.
2. I edited the bashrc file under OpenFOAM-1.6\etc\apps\paraview3
* changed the ParaView-VERSION to 3.6.2
* changed ParaView_INST-DIR to the paraview-3.6.2-linux32-x86 folder
* changed the ParaView_DIR=ParaView_INST-DIR
3. After reboot (or maybe just execute the bashrc), I tried the cavity demo project. When run paraFoam, paraview started, but popup a "Open data with" window. I choose the "OpenFoam files", paraview aborted. It shows some error:
Read float past end of buffer
terminate called after throwing an instance of 'std::length_error'
what(): basic_string::_S_create.

It seems I need a FoamReader.
I haven't succeded in compliling PV3FoamReader.

I'll keep try.

Cean
shirazbj is offline   Reply With Quote

Old   February 12, 2010, 07:08
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,258
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings Cean,

Might I suggest trying the other foam reader, the "Parallelized Native OpenFOAM Reader for ParaView", available here.

Best regards,
Bruno Santos
wyldckat is offline   Reply With Quote

Old   February 14, 2010, 05:54
Default use foamToVTK
  #3
Senior Member
 
Cean
Join Date: Feb 2010
Posts: 128
Rep Power: 7
shirazbj is on a distinguished road
Hi Bruno,

I tried that Reader, but have erroe during ccmake. It need the paraview.cmake file. The paraview3.6.2 file I downloaded does not include the sources.

Anyway, I tryied to use foamToVTK and finally I can see mesh and result in paraview.

For the cavity project, before running paraFoam, I run foamToVTK to convert foam data into VTK format.

So for a clean Ubuntu installation (8.1 or 9.04), install the OF1.6 and extract paraview 3.6.2 anywhere. Run foamToVTK before run paraview.

Thanks

Cean
shirazbj is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to Install OpenFOAM on 64 Ubuntu 9.04 hansel OpenFOAM Installation 62 March 19, 2010 15:43
Paraview 3.4, ppa.launchpad.net and Ubuntu francois OpenFOAM Paraview & paraFoam 1 May 29, 2009 09:07
debian package of openfoam-dev for ubuntu deepblue17 OpenFOAM Installation 0 May 22, 2009 04:49
Problem in running fluent 6.3 (64 bit) on ubuntu 8.1 (64 bit) Mir5 FLUENT 3 April 29, 2009 10:32
Adventure of fisrst openfoam installation on Ubuntu 710 jussi OpenFOAM Installation 0 April 24, 2008 14:25


All times are GMT -4. The time now is 10:57.